# set the include path for X, qt and KDE
INCLUDES= $(all_includes)

# these are the headers for your project
noinst_HEADERS = kmplot.h kmplotprogress.h MainDlg.h

METASOURCES = AUTO

messages: rc.cpp
	$(EXTRACTRC) *.ui >> rc.cpp
	LIST=`find . -name \*.h -o -name \*.cpp`; \
	if test -n "$$LIST"; then \
	 $(XGETTEXT) $$LIST -o $(podir)/kmplot.pot; \
	fi
# messages: rc.cpp
# $(XGETTEXT) *.cpp -o $(podir)/kmplot.pot


#########################################################################
# APPLICATION SECTION
#########################################################################
# this is the program that gets installed.  it's name is used for all
# of the other Makefile.am variables
bin_PROGRAMS = kmplot

# the application source, library search path, and link libraries
kmplot_SOURCES = main.cpp kmplot.cpp kmplotprogress.cpp kmplotIface.skel
kmplot_LDFLAGS = $(KDE_RPATH) $(all_libraries) $(LIB_TQT) $(LIB_TDECORE) $(LIB_TDEUI) $(LIB_TDEIO) $(LIB_TDEPARTS) -lDCOP
kmplot_LDADD   = $(LIB_TDEPARTS)

kmplot_COMPILE_FIRST = FktDlgData.h qminmax.h settings.h

# this is where the desktop file will go
appmimedir = $(kde_mimedir)/application
appmime_DATA = x-kmplot.desktop

# this is where the shell's XML-GUI resource file goes
shellrcdir   = $(kde_datadir)/kmplot
shellrc_DATA = kmplot_shell.rc


#########################################################################
# KPART SECTION
#########################################################################
kde_module_LTLIBRARIES = libkmplotpart.la

# the Part's source, library search path, and link libraries
libkmplotpart_la_SOURCES = FktDlgData.ui parser.cpp xparser.cpp  diagr.cpp View.cpp MainDlg.cpp FktDlg.cpp kprinterdlg.cpp settings.kcfgc settingspagecolor.ui kconstanteditor.cpp qparametereditor.ui kparametereditor.cpp settingspagecoords.ui settingspagefonts.ui settingspagescaling.ui settingspageprecision.ui qeditparametric.ui keditparametric.cpp qeditpolar.ui keditpolar.cpp editfunctionpage.ui editderivativespage.ui editintegralpage.ui editfunction.cpp qeditconstant.ui qminmax.ui kminmax.cpp qconstanteditor.ui keditconstant.cpp kmplotio.cpp sliderwindow.ui ksliderwindow.cpp MainDlgIface.skel parseriface.skel Viewiface.skel coordsconfigdialog.cpp
libkmplotpart_la_LDFLAGS = -module $(KDE_PLUGIN) $(all_libraries) $(LIB_TQT) $(LIB_TDECORE) $(LIB_TDEUI) $(LIB_TDEIO) $(LIB_TDEPARTS) -lDCOP
libkmplotpart_la_LIBADD  = $(LIB_TDEFILE) $(LIB_TDEUI) $(LIB_TDECORE) $(LIB_TQT) $(LIBSOCKET) $(LIB_TDEPRINT)

# this is where the desktop file will go
partdesktopdir   = $(kde_servicesdir)
partdesktop_DATA = kmplot_part.desktop

# this is where the part's XML-GUI resource file goes
partrcdir   = $(kde_datadir)/kmplot
partrc_DATA = kmplot_part.rc kmplot_part_readonly.rc

EXTRA_DIST = kmplot.desktop FktDlg.h MainDlg.cpp MainDlg.h View.h diagr.cpp diagr.h  xparser.h parser.h kprinterdlg.h keditparametric.h keditpolar.h ksliderwindow.h keditconstant.h kconstanteditor.h kparametereditor.h kmplotio.h kminmax.h coordsconfigdialog.h

xdg_apps_DATA = kmplot.desktop
kde_kcfg_DATA = kmplot.kcfg
